[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TParams.FindParam

Find a parameter with given name

## Declaration

Source position: db.pas line 1237

`public function TParams.FindParam(`
`const Value: string`
`):TParam;`

## Arguments

`Value` |  | Parameter name to search for.

## Function result

TParam instance with Name equal to Value or Nil.

## Description

FindParam searches the collection for the TParam instance with property Name equal to Value. It will return the last instance with the given name, and will only return one instance. If no match is found, Nil is returned.

Remark: | A TParams collection can have 2 TParam instances with the same name: no checking for duplicates is done.

## See also

TParam.Name |  | Name of the parameter
TParams.ParamByName |  | Return a parameter by name
TParams.GetParamList |  | Fetch a list of TParam instances

Documentation generated on: Feb 26 2014